--- a/src/scripting/scriptengine/qtbindings/CoreResource.cpp
+++ b/src/scripting/scriptengine/qtbindings/CoreResource.cpp
@@ -46,9 +46,9 @@ QString Resource::fileName() const
     return QResource::fileName();
 }
 
-bool Resource::isCompressed() const
+QResource::Compression Resource::compressionAlgorithm() const
 {
-    return QResource::isCompressed();
+    return QResource::compressionAlgorithm();
 }
 
 bool Resource::isValid() const
@@ -81,11 +81,6 @@ qint64 Resource::size() const
     return QResource::size();
 }
 
-void Resource::addSearchPath(const QString &path)
-{
-    QResource::addSearchPath(path);
-}
-
 bool Resource::registerResource(const QString &rccFilename, const QString &resourceRoot)
 {
     return QResource::registerResource(rccFilename,resourceRoot);
@@ -96,11 +91,6 @@ bool Resource::registerResource(const uc
     return QResource::registerResource(rccData,resourceRoot);
 }
 
-QStringList Resource::searchPaths()
-{
-    return QResource::searchPaths();
-}
-
 bool Resource::unregisterResource(const QString &rccFilename, const QString &resourceRoot)
 {
     return QResource::unregisterResource(rccFilename,resourceRoot);
--- a/src/scripting/scriptengine/qtbindings/CoreResource.h
+++ b/src/scripting/scriptengine/qtbindings/CoreResource.h
@@ -34,10 +34,8 @@ namespace QtBindings
         public:
             Q_INVOKABLE Resource(const QString &file=QString(), const QLocale &locale=QLocale());
             Q_INVOKABLE Resource(const Resource& resource);
-            Q_INVOKABLE static void addSearchPath(const QString &path);
             Q_INVOKABLE static bool registerResource(const QString &rccFilename, const QString &resourceRoot=QString());
             Q_INVOKABLE static bool registerResource(const uchar *rccData, const QString &resourceRoot=QString());
-            Q_INVOKABLE static QStringList searchPaths();
             Q_INVOKABLE static bool unregisterResource(const QString &rccFilename, const QString &resourceRoot=QString());
             Q_INVOKABLE static bool unregisterResource(const uchar *rccData, const QString &resourceRoot=QString());
             Resource &operator=(const Resource &other);
@@ -45,7 +43,7 @@ namespace QtBindings
             QString absoluteFilePath() const;
             const uchar *data() const;
             QString fileName() const;
-            bool isCompressed() const;
+            QResource::Compression compressionAlgorithm() const;
             bool isValid() const;
             QDateTime lastModified() const;
             QLocale locale() const;
